Name:          torcs
Version:       1.3.7
Release:       1mamba
Summary:       The Open Racing Car Simulator
Group:         Graphical Desktop/Applications/Games
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://torcs.sourceforge.net/
Source:        http://downloads.sourceforge.net/sourceforge/torcs/torcs-%{version}.tar.bz2
Patch0:        %{name}-1.3.0-gcc43.patch
Patch1:        torcs-1.3.7-gcc7.patch
Patch2:        torcs-1.3.7-gcc6-isnan.patch
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libGLU-devel
BuildRequires: libICE-devel
BuildRequires: libSM-devel
BuildRequires: libX11-devel
BuildRequires: libXext-devel
BuildRequires: libXi-devel
BuildRequires: libXmu-devel
BuildRequires: libXrandr-devel
BuildRequires: libXrender-devel
BuildRequires: libXt-devel
BuildRequires: libXxf86vm-devel
BuildRequires: libfreealut-devel
BuildRequires: libfreeglut-devel
BuildRequires: libgcc
BuildRequires: libglvnd-devel
BuildRequires: libopenal-devel
BuildRequires: libplib-devel
BuildRequires: libpng-devel
BuildRequires: libstdc++6-devel
BuildRequires: libvorbis-devel
BuildRequires: libz-devel
## AUTOBUILDREQ-END
Requires(post):%{__install_info}

%description
This is the official site of TORCS, The Open Racing Car Simulator. TORCS is a highly portable multi platform car racing simulation. It is used as ordinary car racing game, as AI racing game and as research platform.

%debug_package

%prep
%setup -q
#-D -T
#:<< _EOF
#%patch0 -p1
%patch1 -p1 -b .gcc7
%patch2 -p1 -b .gcc6-isnan

%build
#:<< _EOF
%configure \
   --x-includes=%{_includedir} \
   --x-libraries=%{_libdir}

%make -j1

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall datainstall

install -d %{buildroot}%{_datadir}/applications/
cat > %{buildroot}%{_datadir}/applications/torcs.desktop << _EOF
[Desktop Entry]
Encoding=UTF-8
Categories=Application;Game;ArcadeGame
Name=TORCS
GenericName=Cars Racing Simulator
GenericName[it]=Simulatore di corse automobilistiche
Exec=torcs
Terminal=0
Type=Application
Icon=%{_datadir}/games/torcs/Ticon.ico
_EOF

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post
%install_info torcs

%preun
%uninstall_info torcs

%files
%defattr(-,root,root)
%{_bindir}/accc
%{_bindir}/nfs2ac
%{_bindir}/nfsperf
%{_bindir}/texmapper
%{_bindir}/torcs
%{_bindir}/trackgen
%{_datadir}/applications/torcs.desktop
%{_libdir}/torcs/accc-bin
%{_libdir}/torcs/nfs2ac-bin
%{_libdir}/torcs/nfsperf-bin
%{_libdir}/torcs/setup_linux.sh
%{_libdir}/torcs/texmapper-bin
%{_libdir}/torcs/torcs-bin
%{_libdir}/torcs/trackgen-bin
%{_libdir}/torcs/drivers/*
%{_libdir}/torcs/lib/*
%{_libdir}/torcs/modules/*
%dir %{_datadir}/games/torcs
%{_datadir}/games/torcs/*
%doc COPYING README

%changelog
* Sun Nov 06 2022 Automatic Build System <autodist@mambasoft.it> 1.3.7-1mamba
- automatic version update by autodist

* Sat May 24 2014 Automatic Build System <autodist@mambasoft.it> 1.3.6-1mamba
- automatic update by autodist

* Sun Nov 17 2013 Automatic Build System <autodist@mambasoft.it> 1.3.5-1mamba
- automatic update by autodist

* Mon Oct 22 2012 openmamba WebBuild System <webbuild@openmamba.org> 1.3.4-1mamba
- update to 1.3.4

* Tue Sep 04 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 1.3.3-1mamba
- update to 1.3.3

* Mon Jul 13 2009 Automatic Build System <autodist@mambasoft.it> 1.3.1-1mamba
- automatic update by autodist

* Mon Apr 20 2009 Automatic Build System <autodist@mambasoft.it> 1.3.0-2mamba
- automatic rebuild by autodist

* Wed Nov 07 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 1.3.0-1mamba
- package created by autospec
